تاریخ شمسی برای دارت و فلاتر

- [جهت استفاده از مبدل همراه با تقویم و Date Picker از این پکیج استفاده نماید](https://pub.dartlang.org/packages/jalali_calendar)



تبدیل تاریخ میلادی به شمسی به وسیله این کتابخانه قادر هستید که تاریخ های میلادی را به شمسی و بلعکس تبدیل کنید
در بروز رسانی های بعدی مواردی بیشتری به کتاب خانه اضافه خواهند شد 
## استفاده از کتاب خانه 

چند مثال ساده

افزودن پارس تاریخ مشخص و دریافت اطلاعات ان بجای تاریخ فعلی

```dart
import 'package:PersianDate/PersianDate.dart';

main() {
  
  PersianDate pDate = PersianDate(gregorian: "1989-01-29");
    print("Now ${pDate.getDate}");
    
    PersianDate persianDate = PersianDate();
    print("Now ${persianDate.now}");
    print(persianDate.hour);
    print("year ${persianDate.year}");
    print("isHoliday ${persianDate.isHoliday}");
    print("isHoliday ${persianDate.weekdayname}");
    print(persianDate.monthname); // نام ماه
      print(persianDate.month); // ماه
      print(persianDate.day); // روز
      print(persianDate.hour);// ساعت
      print(persianDate.minute);// دقیقه
      print(persianDate.second);// ثانیه
      print(persianDate.millisecond); // میلی ثانیه
      print(persianDate.microsecond);//
     
     
    // فرمت تاریخ های که پشتیبانی میشوند
    
     /* * `"2012-02-27 13:27:00"`
       * * `"2012-02-27 13:27:00.123456z"`
       * * `"2012-02-27 13:27:00,123456z"`
       * * `"20120227 13:27:00"`
       * * `"20120227T132700"`
       * * `"20120227"`
       * * `"+20120227"`
       * * `"2012-02-27T14Z"`
       * * `"2012-02-27T14+00:00"`
       * * `"-123450101 00:00:00 Z"`: in the year -12345.
       * * `"2002-02-27T14:00:00-0500"`: Same as `"2002-02-27T19:00:00Z"`
       */
  // جهت تبدیل تاریخ های میلادی و شمسی  به یک دیگر
  print("Parse Gregorian To Jalali ${persianDate.gregorianToJalali("2019-02-20T00:19:54.000Z","yyyy-m-d hh:nn")}"); 
    print("Parse Jalali To Gregorian ${persianDate.jalaliToGregorian("1368-05-30 19:54", "yyyy-m-d hh:nn")}");

    
  }
```
کلید فرمت های که میتوانید استفاده کنید

yyyy // 4 عدد سال

yy // 2 عدد سال

mm // 2 عدد ماه اگر ماه تک رقمی باشد 0 در اول ان قرار میدهد

m // 1 عدد ماه اگر ماه تک رقمی باشد 0 قرار نمیدهد

MM // ماه به صورت حروفی کامل

M // ماه به صورت حروفی کوتاه

dd // روز به صورت 2 عددی

d // روز به صورت تک رقمی برای روز های زیر 10

w // عدد هفته از ماه را بر میگرداند

DD // نام روز

D // نام روز

hh // ساعت با دو رقم اگر ساعت تک رقمی باشد 0 ابتدای عدد قرار میدهد فرمت 12 ساعته

h // ساعت با تک رقم فرمت 12 ساعته 

HH // ساعت با 2 رقم فرمت 24 ساعته 

H // ساعت با تک رقم فرمت 24 ساعته

nn // نمایشه دقیقه به صورت دو رقمی

n // نمایشه دقیقه به صورت تک رقمی

ss // نمایش ثانیه دو رقمی

s  // نمایش ثانیه تک رقمی

SSS // نمایش میلی ثانیه

S // نمایش میلی ثانیه

uuu // نمایش میکرو ثانیه

u // نمایش میکرو ثانیه

am // نمایش وقت به صورت کوتاه 

AM // نمایش وقت به صورت کامل


## گزارش اشکال

در صورت وجود هر گونه مشکل از طریق ایمیل زیر با ما در میان بگذارید[j.zobeidi89@gmail.com][tracker].

[tracker]: mailto:j.zobeidi89@gmail.com
